import { r as registerInstance, d as createEvent, h } from './index-000d2977.js';
import { g as getInvoiceTypes } from './getInvoiceTypes-d6baa75e.js';

const popoverInvoiceSelectCss = "";

const PopoverInvoiceSelect = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.floodteamSelect = createEvent(this, "floodteamSelect", 7);
    this.floodteamClosePopover = createEvent(this, "floodteamClosePopover", 7);
    this.name = "type";
    this.options = getInvoiceTypes();
    this.value = "mitigation";
  }
  render() {
    return (h("ion-content", { style: {
        "--background": "var(--ion-color-base)",
      } }, h("ion-list", null, (this.options || []).map((option) => (h("ion-item", { detail: true, detailIcon: (option === null || option === void 0 ? void 0 : option.value) === this.value
        ? "checkmark-circle"
        : "chevron-forward", href: "#", onClick: (event) => {
        this.value = option === null || option === void 0 ? void 0 : option.value;
        this.floodteamSelect.emit({
          event,
          name: this.name,
          value: option,
        });
        this.floodteamClosePopover.emit({
          event,
        });
      } }, h("ion-label", null, (option === null || option === void 0 ? void 0 : option.label) || (option === null || option === void 0 ? void 0 : option.value))))))));
  }
};
PopoverInvoiceSelect.style = popoverInvoiceSelectCss;

export { PopoverInvoiceSelect as popover_invoice_select };
